Subject: FreeCAD dependency probably outdated

From: Buttons Presser <[email-masked]>
Date: Sun, 07 Apr 2024 13:54:55 +0200

Dear Guix people,

I have checked FreeCAD on several machines and get the same error.

To reproduce:
- guix install freecad
- Open FreeCAD
- Create new document
- Select 'Draft' workbench

This produces an error:

  '<built-in function SoFieldContainer_getField> returned a result with an exception set'

The backtrace and also as some forums suggest (e.g., https://forum.freecad.org/viewtopic.php?t=74156) that the issue is the outdated 'python-pivy'. The dependency version in python-xyz.scm is 0.6.5 released Jan 12, 2020 where latest release 0.6.8 is from Aug 25, 2022.

I have tried to build newer version of 'python-pivy' but I hit some errors that I do not understand how to fix. The errors from build log among other things tell that it 'Could not find a package configuration file provided by "Qt5Core" with any of the following names: Qt5CoreConfig.cmake qt5core-config.cmake'.

Could somebody with more knowledge about building freecad help or give some suggestions how can I define latest 'python-pivy' (assuming the outdated package causes the 'Draft' workbench crash).

guix describe:

  guix 1dbe492
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 1dbe492b993a7629df3b35146ce0272b52913776